<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Вывод средств');
$title->GetHeader();
if ($b['level'] < 5) {
header('location: /');
die();
}
echo '<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/administration/"style="text-decoration:none; color:white;"> Дата-центр</a> :: <a href="billing.html"style="text-decoration:none; color:white;"> Биллинг</a> :: Вывод средств</div></div>';
if (isset($_GET['ok'])) {
$arr = DB::$dbs->queryFetch("SELECT * FROM billing_out WHERE id = ? LIMIT 1", [abs((int)$_GET['ok'])]);
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` - ? WHERE `id` = ?", [$arr['rur'],$arr['user_id']]);
DB::$dbs->query("UPDATE `billing_out` SET `type` = ? WHERE `id` = ?", [1,$arr['id']]);

$kom = 'На ваш WMR кошелек выведено [b]'.$arr['rur'].'p.[/b]';
jurnal($arr['user_id'],$kom,6);
DB::$dbs->query("INSERT INTO `billing_hist` (`user_id`,`text`,`time`) VALUES (?,?,?)", [$arr['user_id'],$kom,time()]);
header('location: ?');
}
if (isset($_GET['ot'])) {
$arr = DB::$dbs->queryFetch("SELECT * FROM billing_out WHERE id = ? LIMIT 1", [abs((int)$_GET['ot'])]);
DB::$dbs->query("UPDATE `billing_out` SET `type` = ? WHERE `id` = ?", [2,$arr['id']]);
$kom = 'Ваша заявка на вывод [b]'.$arr['rur'].'[/b] руб аннулирована!';
jurnal($arr['user_id'],$kom,6);
DB::$dbs->query("INSERT INTO `billing_hist` (`user_id`,`text`,`time`) VALUES (?,?,?)", [$arr['user_id'],$kom,time()]);
header('location: ?');
}
$look = DB::$dbs->querySingle("SELECT COUNT(id) FROM billing_out WHERE type = ?", [0]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM billing_out WHERE type = ? ORDER BY id DESC LIMIT $start,$num", [0]);
if ($sql -> rowCount() == 0) {
err('Нет заявок на вывод средств!');
} else {
while($a = $sql->fetch()) {
$arrtype = [0 => 'Не оплачен', 1 => 'Оплачен', 2 => 'Аннулирован'];
$type = strtr($a['type'], $arrtype);
echo '<div class="list-group-item media"><i class="zmdi zmdi-shuffle"></i> Запрос от: '.Nick($a['user_id']).' ('.vr($a['time']).')<br/>Cумма: <b>'.$a['rur'].'р.</b> <br/>Кошелек: <b>R'.user_inf($a['user_id'], 'wmr').'</b><br/>';
echo ($a['type'] == 0 ? '<b><a href="?ok='.$a['id'].'">[Подтвердить]</a></b> или <b><a href="?ot='.$a['id'].'">[Отменить]</a></b>':NULL);
echo '<br/>Статус: <font color="red"><b>'.$type.'</b></font></div>';
}
}
if ($k_page > 1) {
str('?',$k_page,$page);
}
$title->GetMenu();
$title->GetFooter();
?>